package com.bs.cm.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.bs.common.annotation.Excel;
import com.bs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 附近信息对象 cm_attach
 *
 * @author bs
 * @date 2025-03-04
 */
@Data
public class CmAttachVO extends BaseEntity{

    /** 用户id */
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(value = "用户id")
    private Long id;

    /** 文件组id */

    @Excel(name = "文件组id")
    @ApiModelProperty(value = "文件组id")
    private String fileId;

    /** 文件排序 */

    @Excel(name = "文件排序")
    @ApiModelProperty(value = "文件排序")
    private Long fileSort;

    /** 文件名称（编译后） */

    @Excel(name = "文件名称", readConverterExp = "编=译后")
    @ApiModelProperty(value = "文件名称（编译后）")
    private String attachName;

    /** 文件类型 */

    @Excel(name = "文件类型")
    @ApiModelProperty(value = "文件类型")
    private String attachFileType;

    /** 文件编码类型 */

    @Excel(name = "文件编码类型")
    @ApiModelProperty(value = "文件编码类型")
    private String attachContentType;

    /** 文件大小 */

    @Excel(name = "文件大小")
    @ApiModelProperty(value = "文件大小")
    private Long attachFileSize;

    /** 文件路径 */

    @Excel(name = "文件路径")
    @ApiModelProperty(value = "文件路径")
    private String attachFileUrl;

    /** 文件名（原始） */

    @Excel(name = "文件名", readConverterExp = "原=始")
    @ApiModelProperty(value = "文件名（原始）")
    private String oldName;

    /** 文件版本号 */

    @Excel(name = "文件版本号")
    @ApiModelProperty(value = "文件版本号")
    private String versionNo;

    /** 备注 */

    @Excel(name = "备注")
    @ApiModelProperty(value = "备注")
    private String remark;

    private String angle;


}
